package com.gci.boot.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbUpkeepPlan;
import com.gci.boot.modules.vehicles.vo.UpkeepInfoListVO;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

public interface TbUpkeepPlanMapper extends BaseMapper<TbUpkeepPlan> {

    Integer findMaxPlanCreateNo();

    List<TbUpkeepPlan> findUpkeepPlanList(Page page,
                                          @Param("vo") TbUpkeepPlan vo);

    List<TbUpkeepPlan> findUpkeepAllList(@Param("vo") TbUpkeepPlan vo);

    /**
     * 查找未完成的单
     */
    Integer findUnfinishCount(@Param("plateNumber") String plateNumber);
}
